Subject: Re: [PATCH] nl80211: fix dumpit error path RTNL deadlocks

From: Johannes Berg <[email-masked]>
Date: Thu, 16 Mar 2017 07:55:39 +0100

On Wed, 2017-03-15 at 14:59 -0700, David Miller wrote:
> From: Johannes Berg <[email-masked]>
> Date: Wed, 15 Mar 2017 14:29:13 +0100
> 
> > From: Johannes Berg <[email-masked]>
> > 
> > Sowmini pointed out Dmitry's RTNL deadlock report to me, and it
> turns out
> > to be perfectly accurate - there are various error paths that miss
> unlock
> > of the RTNL.

> Johannes, I assume I will get this in a future pull request?

Sure, coming to a tree near you ... today I guess. Just didn't want to
send it out entirely unreviewed, although I checked it with sparse.

johannes